/*  genhvbox - generic hbox/vbox/table widget layout calculator
    Copyright (C) 2022  Tibor 'Igor2' Palinkas

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

    Contact:
      Project page: http://repo.hu/projects/genhvbox
      contact lead developer: http://www.repo.hu/projects/genhvbox/contact.html
*/

#include <stdio.h>
#include "hvbox.h"

/* dump a single node */
void hvbox_dump_node(FILE *f, int level, hvbox_t *node, int widget_is_str);

/* dump a dubtree recursively */
void hvbox_dump_nodes(FILE *f, int level, hvbox_t *node, int widget_is_str);
